qmf::SchemaId Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qmf::SchemaId Class Reference

`#include <qmf/SchemaId.h>`

List of all members.

## Public Member Functions
| SchemaId (SchemaIdImpl *impl=0)
| SchemaId (const SchemaId &)
SchemaId & | operator= (const SchemaId &)
| ~SchemaId ()
| SchemaId (int, const std::string &, const std::string &)
void | setHash (const qpid::types::Uuid &)
int | getType () const
const std::string & | getPackageName () const
const std::string & | getName () const
const qpid::types::Uuid & | getHash () const
QMF_INLINE_EXTERN bool | isValid () const
QMF_INLINE_EXTERN bool | isNull () const
QMF_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QMF_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Member Typedef Documentation

typedef T qmf::Handle::Impl`[protected, inherited]`

Definition at line 56 of file Handle.h.

## Constructor & Destructor Documentation

qmf::SchemaId::SchemaId | ( | SchemaIdImpl * | impl = `0` | ) |

qmf::SchemaId::SchemaId | ( | const SchemaId & |  | ) |

qmf::SchemaId::~SchemaId | ( |  | ) |

qmf::SchemaId::SchemaId | ( | int | ,
|  | const std::string & | ,
|  | const std::string & |
| ) |  |

## Member Function Documentation

const qpid::types::Uuid& qmf::SchemaId::getHash | ( |  | ) | const

const std::string& qmf::SchemaId::getName | ( |  | ) | const

const std::string& qmf::SchemaId::getPackageName | ( |  | ) | const

int qmf::SchemaId::getType | ( |  | ) | const

QMF_INLINE_EXTERN bool qmf::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 45 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 42 of file Handle.h.

QMF_INLINE_EXTERN qmf::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 48 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 51 of file Handle.h.

SchemaId& qmf::SchemaId::operator= | ( | const SchemaId & |  | ) |

void qmf::SchemaId::setHash | ( | const qpid::types::Uuid & |  | ) |

void qmf::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 53 of file Handle.h.

## Member Data Documentation

Impl* qmf::Handle::impl`[protected, inherited]`

Definition at line 63 of file Handle.h.

The documentation for this class was generated from the following file:

- qmf/SchemaId.h